Bug 89200 - Sendmail rpm does not include libmilter.a
Sendmail rpm does not include libmilter.a
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sendmail (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Florian La Roche
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-20 10:11 EDT by Steve Cowles
Modified: 2007-04-18 12:53 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-05 06:23:41 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Steve Cowles 2003-04-20 10:11:09 EDT
Description of problem:

The lastest rpm release of sendmail is "finally" compiled with milter support, 
but does not install the milter library (libmilter.a) as part of the rpm. This 
library is needed to compile (and ultimately use) a sendmail milter.

To verify...

[scowles@voyager libmilter]$ sendmail -bt -d0.1 </dev/null
Version 8.12.8
 Compiled with: DNSMAP HESIOD HES_GETMAILHOST LDAPMAP LOG MAP_REGEX
                MATCHGECOS MILTER MIME7TO8 MIME8TO7 NAMED_BIND
                NETINET NETINET6 NETUNIX NEWDB NIS PIPELINING
                SASL SCANF STARTTLS TCPWRAPPERS USERDB USE_LDAP_INIT

[scowles@voyager scowles]$ rpm -q sendmail
sendmail-8.12.8-5.90
[scowles@voyager scowles]$ rpm -q -l sendmail | grep libmilter
[scowles@voyager scowles]$ 

In order to properly compile sendmail with milter support (at least this is how 
I compile milter support):

1) add the following to 
/PATH_TO_SENDMAIL_SOURCE/devtools/Site/site.config.m4

dnl Milter
APPENDDEF(`conf_sendmail_ENVDEF', `-DMILTER')
APPENDDEF(`conf_libmilter_ENVDEF', `-D_FFR_MILTER_ROOT_UNSAFE')

2) Build/Install the sendmail binaries
# cd /PATH_TO_SENDMAIL_SOURCE
# ./Build
# ./Build install

3) Build/Install the sendmail milter libs
# cd /PATH_TO_SENDMAIL_SOURCE/libmilter
# ./Build
# ./Build install

Step 3 should install...
[scowles@excelsior scowles]$ whereis libmilter
libmilter: /usr/lib/libmilter.a /usr/include/libmilter

Note: The above whereis ouput is from a working system where I manually 
compiled my own version of sendmail/milter, not from the redhat rpm.

4) When creating the sendmail RPM, include the above two files as part of the 
RPM:
/usr/lib/libmilter.a
/usr/include/libmilter

Version-Release number of selected component (if applicable):

[scowles@voyager libmilter]$ rpm -q sendmail
sendmail-8.12.8-5.90

How reproducible:

Every Time

Steps to Reproduce:
1. rpm -q -l sendmail | grep libmilter
2.
3.
    
Actual results:

No putput

Expected results:

/usr/lib/libmilter.a
/usr/include/libmilter

Additional info:

None
Comment 1 Florian La Roche 2003-05-05 06:23:41 EDT
Should be in sendmail-devel

greetings,

Florian La Roche
Comment 2 Steve Cowles 2003-05-05 18:52:26 EDT
Well I feel rather dumb! After all these years of using sendmail - I had no 
idea there was a sendmail-devel rpm. I loaded the sendmail-devel rpm and I can 
now compile my milter using the redhat supplied rpm's instead of from the 
sendmail.org source.

Thanks!
Steve Cowles

Note You need to log in before you can comment on or make changes to this bug.